--- old/usr/src/uts/i86pc/io/immu_dvma.c	sam. juil. 16 15:22:04 2016
+++ new/usr/src/uts/i86pc/io/immu_dvma.c	sam. juil. 16 15:22:04 2016
@@ -932,7 +932,7 @@
 	struct memlist *mp;
 	uint64_t start;
 	uint64_t npages;
-	immu_dcookie_t dcookies[1] = {0};
+	immu_dcookie_t dcookies[1] = {{(uintptr_t)NULL}};
 	int dcount = 0;
 
 	/*
@@ -1317,7 +1317,7 @@
 	char mod_hash_name[128];
 	immu_devi_t *immu_devi;
 	int did;
-	immu_dcookie_t dcookies[1] = {0};
+	immu_dcookie_t dcookies[1] = {{(uintptr_t)NULL}};
 	int dcount = 0;
 
 	immu_devi = immu_devi_get(rdip);
@@ -1964,7 +1964,7 @@
 immu_print_fault_info(uint_t sid, uint64_t dvma)
 {
 	int nlevels;
-	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {0};
+	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {{0}};
 	xlate_t *xlatep;
 	hw_pdte_t pte;
 	domain_t *domain;
@@ -2355,7 +2355,7 @@
 	uint64_t n;
 	immu_t *immu = domain->dom_immu;
 	int nlevels = immu->immu_dvma_nlevels;
-	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {0};
+	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {{0}};
 	boolean_t pde_set = B_FALSE;
 
 	n = snvpages;
@@ -2395,7 +2395,7 @@
 {
 	immu_t *immu = domain->dom_immu;
 	int nlevels = immu->immu_dvma_nlevels;
-	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {0};
+	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {{0}};
 	uint64_t n;
 	uint64_t dvma;
 
@@ -2451,7 +2451,7 @@
 dvma_prealloc(dev_info_t *rdip, immu_hdl_priv_t *ihp, ddi_dma_attr_t *dma_attr)
 {
 	int nlevels;
-	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {0}, *xlp;
+	xlate_t xlate[IMMU_PGTABLE_MAX_LEVELS + 1] = {{0}}, *xlp;
 	uint64_t dvma, n;
 	size_t xsize, align;
 	uint64_t minaddr, maxaddr, dmamax;
@@ -2833,7 +2833,7 @@
 	uint64_t start;
 	uint64_t npages;
 	int dcount;
-	immu_dcookie_t dcookies[1] = {0};
+	immu_dcookie_t dcookies[1] = {{(uintptr_t)NULL}};
 	domain_t *domain;
 
 	/*
@@ -2956,7 +2956,7 @@
 int
 immu_map_memrange(dev_info_t *rdip, memrng_t *mrng)
 {
-	immu_dcookie_t dcookies[1] = {0};
+	immu_dcookie_t dcookies[1] = {{(uintptr_t)NULL}};
 	boolean_t pde_set;
 	immu_t *immu;
 	domain_t *domain;
